#!/bin/sh

ZIMBRA_LIBS_JARDIR=/opt/zimbra/lib/jars
ZIMBRA_ZIMLET_LIB_JARDIR=/opt/zimbra/mailboxd/webapps/zimlet/WEB-INF/lib
ZIMBRA_CORE_LIB=servlet-api.jar

if [ -L $ZIMBRA_LIBS_JARDIR/$ZIMBRA_CORE_LIB ];
then
	unlink $ZIMBRA_LIBS_JARDIR/$ZIMBRA_CORE_LIB
fi

if [ -L $ZIMBRA_ZIMLET_LIB_JARDIR/$ZIMBRA_CORE_LIB ];
then
	unlink $ZIMBRA_ZIMLET_LIB_JARDIR/$ZIMBRA_CORE_LIB
fi

if [ -f $ZIMBRA_LIBS_JARDIR/servlet-api-3.1.jar ];
then
	ln -sf $ZIMBRA_LIBS_JARDIR/servlet-api-3.1.jar	$ZIMBRA_LIBS_JARDIR/$ZIMBRA_CORE_LIB
	ln -sf $ZIMBRA_LIBS_JARDIR/$ZIMBRA_CORE_LIB	$ZIMBRA_ZIMLET_LIB_JARDIR 
else
	ln -sf $ZIMBRA_LIBS_JARDIR/javax.servlet-api-3.1.0.jar	$ZIMBRA_LIBS_JARDIR/$ZIMBRA_CORE_LIB
	ln -sf $ZIMBRA_LIBS_JARDIR/$ZIMBRA_CORE_LIB	$ZIMBRA_ZIMLET_LIB_JARDIR
fi
